Browse Source

Install package by dpkg since fuel plugin don't support multi version

Change-Id: Id337d64e11de95c13519530bad284b28237ca455
Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
tags/10.0-eol
Guo Ruijing 3 years ago
parent
commit
d5e302c267

+ 3
- 3
deployment_scripts/puppet/manifests/ovs-install-compute.pp View File

@@ -3,17 +3,17 @@ if $operatingsystem == 'Ubuntu' {
3 3
     if $fuel_settings['fuel-plugin-ovs']['support_nsh'] and
4 4
        $fuel_settings['fuel-plugin-ovs']['support_dpdk'] {
5 5
         exec { 'install ovs/nsh-dpdk':
6
-            command => '/usr/bin/apt-get -y --force-yes install openvswitch-datapath-dkms_2.4.90.nshdpdk-1 openvswitch-common_2.4.90.nshdpdk-1 openvswitch-switch_2.4.90.nshdpdk-1'
6
+            command => '/usr/bin/curl http://10.20.0.2:8080/plugins/fuel-plugin-ovs-0.9/repositories/ubuntu/install.sh | /bin/bash -s nshdpdk'
7 7
         }
8 8
     }
9 9
     elsif $fuel_settings['fuel-plugin-ovs']['support_dpdk'] {
10 10
         exec { 'install ovs/dpdk':
11
-            command => '/usr/bin/apt-get -y --force-yes install openvswitch-datapath-dkms_2.4.90.dpdk-1 openvswitch-common_2.4.90.dpdk-1 openvswitch-switch_2.4.90.dpdk-1'
11
+            command => '/usr/bin/curl http://10.20.0.2:8080/plugins/fuel-plugin-ovs-0.9/repositories/ubuntu/install.sh | /bin/bash -s dpdk'
12 12
         }
13 13
     }
14 14
     elsif $fuel_settings['fuel-plugin-ovs']['support_nsh'] {
15 15
         exec { 'install ovs/nsh':
16
-            command => '/usr/bin/apt-get -y --force-yes install openvswitch-datapath-dkms_2.4.90.nsh-1 openvswitch-common_2.4.90.nsh-1  openvswitch-switch_2.4.90.nsh-1'
16
+            command => '/usr/bin/curl http://10.20.0.2:8080/plugins/fuel-plugin-ovs-0.9/repositories/ubuntu/install.sh | /bin/bash -s nsh'
17 17
         }
18 18
     }
19 19
 

+ 25
- 0
repositories/ubuntu/install.sh View File

@@ -0,0 +1,25 @@
1
+#!/bin/bash
2
+set -eux
3
+
4
+INSTALL_HOME=/tmp/ovs-nshdpdk
5
+rm -rf $INSTALL_HOME; mkdir -p $INSTALL_HOME 
6
+cd $INSTALL_HOME 
7
+
8
+wget -r -nd -np http://10.20.0.2:8080/plugins/fuel-plugin-ovs-0.9/repositories/ubuntu
9
+
10
+if [ $1 = 'nshdpdk' ]
11
+then
12
+    dpkg -i openvswitch-datapath-dkms_2.4.90.nshdpdk-1_all.deb 
13
+    dpkg -i openvswitch-common_2.4.90.nshdpdk-1_amd64.deb 
14
+    dpkg -i openvswitch-switch_2.4.90.nshdpdk-1_amd64.deb 
15
+elif [ $1 = 'nsh' ]
16
+then
17
+    dpkg -i openvswitch-datapath-dkms_2.4.90.nsh-1_all.deb 
18
+    dpkg -i openvswitch-common_2.4.90.nsh-1_amd64.deb 
19
+    dpkg -i openvswitch-switch_2.4.90.nsh-1_amd64.deb 
20
+elif [ $1 = 'dpdk' ]
21
+then
22
+    dpkg -i openvswitch-datapath-dkms_2.4.90.dpdk-1_all.deb 
23
+    dpkg -i openvswitch-common_2.4.90.dpdk-1_amd64.deb 
24
+    dpkg -i openvswitch-switch_2.4.90.dpdk-1_amd64.deb 
25
+fi

+ 0
- 0
repositories/ubuntu/ovs-dpdk/.gitkeep View File


+ 0
- 0
repositories/ubuntu/ovs-nsh-dpdk/.gitkeep View File


+ 0
- 0
repositories/ubuntu/ovs-nsh/.gitkeep View File


Loading…
Cancel
Save